<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    
    
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    
    <script src="js/jquery-3.3.1.min.js"></script>
    <style>
    
        body{
            background-image: linear-gradient(to right, #26b1db , #340055);
            margin-top: 20px;
        }
                .h3-color-nav{
            color: #fff;
        }


        .ul-li-color-nav li a {
         color: #fff;
        }

        .post-template{
            display: none;
        }

    </style>
</head>
<body>
  
   <nav class="navbar transparent navbar-expand-lg navbar-inverse navbar-static-top">
        <div class="container">
            <a class="navbar-brand h3-color-nav" href="/">
                <h3>Faby</h3>
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav ml-auto ul-li-color-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="#">FEATURES</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">VIDEO</a>
                    </li>
                    
                    <li class="nav-item">
                        <a class="nav-link" href="#">CLIENTS</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">PLANS</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">ABOUT</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">FAQ</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <div class="container">
        <div class="row">
            
            <div class="col-md-6 post-template contenedor">
                <div class="contenedor-formulario">
                    <div class="d-flex">
                        <div class="col-md-6">
                           <h3 class="p1">NOTICIAS</h3>
                            <h3 class="p1 titulo">Titulo</h3>
                            <p class="text-center body">body</p>
                        </div>
                        <div>
                            <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcSde1Sq6oQJiFqNA1Zrnb-tm8gK6ZSkuJl3YxpcY9p56SzWMYtkHw" alt="" width="150px">
                        </div>
                    </div>
                    <a  class="btn btn-link" href="#">Continue reading</a>  
                </div>
            </div>
            <div class="col-md-6 post-template">
                <div class="contenedor-formulario">
                    <div class="d-flex">
                        <div class="col-md-6">
                           <h3 class="p1">NOTICIAS</h3>
                            <h3 class="p1 titulo">Titulo</h3>
                            <p class="text-center body">body</p>
                        </div>
                        <div>
                            <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcSde1Sq6oQJiFqNA1Zrnb-tm8gK6ZSkuJl3YxpcY9p56SzWMYtkHw" alt="" width="150px">
                        </div>
                    </div>
                    <a  class="btn btn-link" href="#">Continue reading</a>  
                </div>
            </div>
            
        </div>
    </div>
    
    
    
    
    

    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    
    
    
    <script>
        $.ajax('https://jsonplaceholder.typicode.com/posts')
            .done(function(res){
                var posts=res;
                
                posts.forEach(function(post){
                    var contenedor = $('.post-template').clone()
                    
                    //busca elementos y los reemplaza
                    
                    $(contenedor)
                        .find('.title').text(post.title)
                    
                    $(contenedor)
                        .find('.body').text(post.body)
                    
                    $(contenedor)
                        .attr('id',post.id)
                        .removeClass('post-template')
                        .appendTo('.row')
                })
            
            })
            .catch(function(res){
            
            })
    </script>
</body>
</html>